curl https://api.stophy.dev/v1/endpoints
{
"sources": [
{
"id": "web",
"name": "Web",
"summary": "Search the web and read any public page as markdown, HTML, links, a screenshot or JSON",
"kind": "site"
}
],
"endpoints": [
{
"id": "search",
"title": "Search",
"summary": "Search the web, news, images, scholarly papers and YouTube videos in one call",
"bestWhen": "Best when you want web results, news, images or all three at once, grouped by type, with the page text of the top web…",
"method": "POST",
"path": "/v1/search",
"credits": 1,
"maxCredits": 8760,
"costUsd": 0.001,
"maxCostUsd": 17.52,
"pricing": "$0.001 for each 10 results from each source and each research or videos list ($1 per 1,000 searches of up to 10…",
"keyless": true,
"cacheTtlSeconds": 0,
"input": {
"type": "object",
"properties": "…",
"required": "…",
"$defs": "…",
"additionalProperties": false
},
"example": {
"query": "nvidia earnings",
"sources": "…",
"limit": 5
}
}
]
}
Catalog
List endpoints
List the endpoints with their prices, input schemas and examples.
GET
/
v1
/
endpoints
curl https://api.stophy.dev/v1/endpoints
{
"sources": [
{
"id": "web",
"name": "Web",
"summary": "Search the web and read any public page as markdown, HTML, links, a screenshot or JSON",
"kind": "site"
}
],
"endpoints": [
{
"id": "search",
"title": "Search",
"summary": "Search the web, news, images, scholarly papers and YouTube videos in one call",
"bestWhen": "Best when you want web results, news, images or all three at once, grouped by type, with the page text of the top web…",
"method": "POST",
"path": "/v1/search",
"credits": 1,
"maxCredits": 8760,
"costUsd": 0.001,
"maxCostUsd": 17.52,
"pricing": "$0.001 for each 10 results from each source and each research or videos list ($1 per 1,000 searches of up to 10…",
"keyless": true,
"cacheTtlSeconds": 0,
"input": {
"type": "object",
"properties": "…",
"required": "…",
"$defs": "…",
"additionalProperties": false
},
"example": {
"query": "nvidia earnings",
"sources": "…",
"limit": 5
}
}
]
}
Needs no API key.
curl https://api.stophy.dev/v1/endpoints
{
"sources": [
{
"id": "web",
"name": "Web",
"summary": "Search the web and read any public page as markdown, HTML, links, a screenshot or JSON",
"kind": "site"
}
],
"endpoints": [
{
"id": "search",
"title": "Search",
"summary": "Search the web, news, images, scholarly papers and YouTube videos in one call",
"bestWhen": "Best when you want web results, news, images or all three at once, grouped by type, with the page text of the top web…",
"method": "POST",
"path": "/v1/search",
"credits": 1,
"maxCredits": 8760,
"costUsd": 0.001,
"maxCostUsd": 17.52,
"pricing": "$0.001 for each 10 results from each source and each research or videos list ($1 per 1,000 searches of up to 10…",
"keyless": true,
"cacheTtlSeconds": 0,
"input": {
"type": "object",
"properties": "…",
"required": "…",
"$defs": "…",
"additionalProperties": false
},
"example": {
"query": "nvidia earnings",
"sources": "…",
"limit": 5
}
}
]
}